发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:31

[原文]Cross-site scripting (XSS) vulnerability in avatar.php for CoolForum 0.8 and earlier allows remote attackers to inject arbitrary web script or HTML via the img parameter.


        CoolForum 0.8及更早版本的avatar.php存在跨站脚本攻击(XSS)漏洞,远程攻击者可以通过img参数注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(PATCH)  XF  coolforum-avatar-xss(19758)
(PATCH)  SECTRACK  1013474
(UNKNOWN)  BID  12852

- 漏洞信息

中危 跨站脚本
2005-05-02 00:00:00 2005-10-20 00:00:00
        CoolForum 0.8及更早版本的avatar.php存在跨站脚本攻击(XSS)漏洞,远程攻击者可以通过img参数注入任意Web脚本或HTML。

- 公告与补丁


- 漏洞信息

CoolForum avatar.php img Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Public Vendor Verified

- 漏洞描述

CoolForum contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'img' variables upon submission to the 'avatar.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-03-17 Unknow
2005-03-17 Unknow

- 解决方案

Upgrade to version 0.8.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

CoolForum Cross-Site Scripting And SQL Injection Vulnerabilities
Input Validation Error 12852
Yes No
2005-03-19 12:00:00 2009-07-12 10:56:00
Discovery of these issues is credited to Romano <>.

- 受影响的程序版本

CoolForum CoolForum 0.8
CoolForum CoolForum 0.7.3
CoolForum CoolForum 0.7.2
CoolForum CoolForum 0.5.2 beta
CoolForum CoolForum 0.5.1 beta
CoolForum CoolForum 0.5 beta

- 漏洞讨论

Multiple remote input validation vulnerabilities affect CoolForum. These issues are due to a failure of the application to properly sanitize user-supplied input prior to using it to carry out critical functionality.

Multiple SQL injection vulnerabilities have been reported and a cross-site scripting vulnerability is also reported.

An attacker may leverage these issues to manipulate and view arbitrary database contents by exploiting the SQL injection issues, and to have arbitrary script code executed in the browser of an unsuspecting user by exploiting the cross-site scripting vulnerabilities.

- 漏洞利用

The following examples are available:
avatar.php?img=&lt;script&gt;alert(document.cookie)&lt;/script&gt;;login='or 1=1 into outfile '/var/www/html/cf_users_with_magic_quotes_on.txt

- 解决方案

It is reported that the vendor has addressed these vulnerabilities in CoolForum version 0.8.1. This is not confirmed; customers are advised to contact the vendor regarding obtaining and applying appropriate updates.

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 相关参考